package com.ruoyi.web.work.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.domain.Relate;
import com.ruoyi.web.work.domain.vo.RelateCompanyListVo;

import java.util.List;

/**
 * @author lsw
 * @date 2024-04-18
 */
public interface IRelateService extends IService<Relate>{
    List<Relate> selectList(Relate relate);

    List<RelateCompanyListVo> selectRelateCompanyList(Relate relate);

    AjaxResult add(Relate relate);

    AjaxResult removeUser(Relate relate);

    AjaxResult remove(Relate relate);
}
